package jtznyj.engineer.service.dataDiagnosticService.data;

import java.util.ArrayList;
import java.util.Date;

/**
 * 监控报警区间
 */
public class MonitorAlarmRange {

    /**
     * 开始时间
     */
    public Date startDate;

    /**
     * 截止时间
     */
    public Date endDate;

    /**
     * 起始深度
     */
    public double startDepth;

    /**
     * 钻头深度--起始
     */
    public double startZtDepth;

    /**
     * 截止深度
     */
    public double endDepth;

    /**
     * 钻头深度--截止
     */
    public double endZtDepth;


    /**
     * 描述信息
     */
    public String description;

    /**
     * 同一类预警信息只有一条
     */
    public ArrayList<AlarmPoint> details;

    /**
     * 监控报警区间
     * @param startDate
     * @param endDate
     */
    public MonitorAlarmRange(Date startDate, Date endDate){
        this.startDate = new Date(startDate.getTime()) ;
        this.endDate = new Date(endDate.getTime());
        this.details = new ArrayList<>();
    }

    /**
     * 是否是相邻的时间点
     * @param preSiblingDate
     * @return
     */
    public boolean isSibling(Date preSiblingDate){
        if(this.startDate.getTime() == preSiblingDate.getTime()){
            return true;
        }
        if(this.endDate.getTime() == preSiblingDate.getTime()){
            return true;
        }
        return false;
    }

}

